using FObjBase;
using FObjSysTest.Client;
using FObjSysTest.IService;
using FObjSysTest.Server;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Client_WpfApp
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        ObjAServiceClient objaClient;
        public MainWindow()
        {
            InitializeComponent();

            objaClient = new ObjAServiceClient(0x12345600);

            FObjSys.Current.Connect_to_Another_OBJSys(
                new IPEndPoint(IPAddress.Loopback, 12345), objaClient.ID);

            objaClient.PropertyChanged += ObjaClient_PropertyChanged;

            FObjBase.PollModule.Current.Start();
        }
        private void ObjaClient_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {

            Console.WriteLine($"e.PropertyName = {e.PropertyName}");
            if (e.PropertyName == "Numbers")
            {
                Console.WriteLine($"objaClient.Numbers.Count() = {objaClient.Numbers.Count()}");
            }
        }
    }

}
